### Function

# Gcr pkcs11_initialize_finish

since: 4

#### Declaration [src]

    gboolean
    gcr_pkcs11_initialize_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete the asynchronous operation to initialize the registered PKCS#11 modules.

Available since: 4

#### Parameters

`result`

  Type: `GAsyncResult`

  The asynchronous result.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the operation was successful or not.